<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for message in message package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  message module in message package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Message',
    'names' => 'Messages',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Messages',
        'sub' => 'Messages'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'converted' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
                [
                    'key'    => 'Follow Up',
                    'value'  => 'Follow Up',
                    'text'   => 'Follow Up',
                ],
                                
                [
                    'key'    => 'Direct',
                    'value'  => 'Direct',
                    'text'   => 'Direct',
                ],
                                
                [
                    'key'    => 'Duplicate',
                    'value'  => 'Duplicate',
                    'text'   => 'Duplicate',
                ],
                                
                [
                    'key'    => 'Unwanted',
                    'value'  => 'Unwanted',
                    'text'   => 'Unwanted',
                ],
                                
                [
                    'key'    => 'Assigned',
                    'value'  => 'Assigned',
                    'text'   => 'Assigned',
                ],
                                
                [
                    'key'    => 'Error',
                    'value'  => 'Error',
                    'text'   => 'Error',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'subject_id'                 => 'Please enter subject id',
        'subject_type'               => 'Please enter subject type',
        'lead_id'                    => 'Please enter lead id',
        'agent_id'                   => 'Please enter agent id',
        'team_id'                    => 'Please enter team id',
        'organization_id'            => 'Please enter organization id',
        'branch_id'                  => 'Please enter branch id',
        'department_id'              => 'Please enter department id',
        'division_id'                => 'Please enter division id',
        'ref_no'                     => 'Please enter ref no',
        'type'                       => 'Please enter type',
        'channel'                    => 'Please enter channel',
        'message_type'               => 'Please enter message type',
        'name'                       => 'Please enter name',
        'message'                    => 'Please enter message',
        'multimedia'                 => 'Please enter multimedia',
        'branch'                     => 'Please enter branch',
        'url'                        => 'Please enter url',
        'mobile'                     => 'Please enter mobile',
        'mobile_org'                 => 'Please enter mobile org',
        'details'                    => 'Please enter details',
        'source'                     => 'Please enter source',
        'converted'                  => 'Please select converted',
        'count'                      => 'Please enter count',
        'customer_care_notes'        => 'Please enter customer care notes',
        'spam'                       => 'Please enter spam',
        'qualified_id'               => 'Please enter qualified id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'subject_id'                 => 'Subject id',
        'subject_type'               => 'Subject type',
        'lead_id'                    => 'Lead id',
        'agent_id'                   => 'Agent id',
        'team_id'                    => 'Team id',
        'organization_id'            => 'Organization id',
        'branch_id'                  => 'Branch id',
        'department_id'              => 'Department id',
        'division_id'                => 'Division id',
        'ref_no'                     => 'Ref no',
        'type'                       => 'Type',
        'channel'                    => 'Channel',
        'message_type'               => 'Message type',
        'name'                       => 'Name',
        'message'                    => 'Message',
        'multimedia'                 => 'Multimedia',
        'branch'                     => 'Branch',
        'url'                        => 'Url',
        'mobile'                     => 'Mobile',
        'mobile_org'                 => 'Mobile org',
        'details'                    => 'Details',
        'source'                     => 'Source',
        'converted'                  => 'Converted',
        'count'                      => 'Count',
        'customer_care_notes'        => 'Customer care notes',
        'spam'                       => 'Spam',
        'qualified_id'               => 'Qualified id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    
    ];
